Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8153043

IPS java7 convenience packages should be marked obsolete

    Details

    • Subcomponent:
    • Introduced In Build:
      b00
    • Resolved In Build:
      b03
    • CPU:
      x86, sparc, x86_64, sparc_64
    • OS:
      solaris_12
    • Verification:
      Fix failed

      Description

      developer/java/jdk
      library/java/java-demo
      runtime/java/jre

      These packages allow customers to install the jdk, jre, or java-demos and have the system automatically update them to the latest version of Java available as new versions are released.
      However in java8 we don't deliver these packages.
      see: https://bugs.openjdk.java.net/browse/JDK-8034934
      so we need to mark them obsolete in java7.

      As a contrary in java6 we do not mark obsolete:
      developer/java/jdk
      library/java/java-demo
      as java7 delivers them.
      We mark obsolete in java6:
      runtime/java as
      java7 delivers runtime/java/jre instead of runtime/java
      see:
      https://bugs.openjdk.java.net/browse/JDK-8023053
      https://bugs.openjdk.java.net/browse/JDK-8069029



        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                miroslawzn Miroslaw Niemiec (Inactive)
                Reporter:
                miroslawzn Miroslaw Niemiec (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: